aboutsummaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorJohn Molakvoæ <skjnldsv@users.noreply.github.com>2025-03-12 08:48:25 +0100
committerGitHub <noreply@github.com>2025-03-12 08:48:25 +0100
commit4df9ab4033b9e2e047f61d155138cefbf5c06ec7 (patch)
tree0af0c2c19249408adbc95a23cae45f5ff513ec96 /build
parent5741d587ffd4430b68ae122d6023004d524147e3 (diff)
parent251a19d6ea3704fc41c1c068729921782bd24b6b (diff)
downloadnextcloud-server-4df9ab4033b9e2e047f61d155138cefbf5c06ec7.tar.gz
nextcloud-server-4df9ab4033b9e2e047f61d155138cefbf5c06ec7.zip
Merge pull request #51403 from nextcloud/chore/drop-jsdoc
chore(dev-deps): Drop dependency on jsdoc
Diffstat (limited to 'build')
-rwxr-xr-xbuild/buildjsdocs.sh40
1 files changed, 0 insertions, 40 deletions
diff --git a/build/buildjsdocs.sh b/build/buildjsdocs.sh
deleted file mode 100755
index e40ecd7242b..00000000000
--- a/build/buildjsdocs.sh
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/usr/bin/env bash
-#
-# SPDX-FileCopyrightText: 2018 Nextcloud GmbH and Nextcloud contributors
-# SPDX-FileCopyrightText: 2014-2015 ownCloud, Inc.
-# SPDX-License-Identifier: AGPL-3.0-only
-#
-# Run JS tests
-#
-NPM="$(which npm 2>/dev/null)"
-OUTPUT_DIR="jsdocs"
-
-JS_FILES="../core/js/*.js ../core/js/**/*.js ../apps/*/js/*.js"
-
-if test -z "$NPM"
-then
- echo 'Node JS >= 0.8 is required to build the documentation' >&2
- exit 1
-fi
-
-# update/install test packages
-$NPM install --prefix . --link jsdoc || exit 3
-
-JSDOC_BIN="$(which jsdoc 2>/dev/null)"
-
-# If not installed globally, try local version
-if test -z "$JSDOC_BIN"
-then
- JSDOC_BIN="./node_modules/jsdoc/jsdoc.js"
-fi
-
-if test -z "$JSDOC_BIN"
-then
- echo 'jsdoc executable not found' >&2
- exit 2
-fi
-
-mkdir -p "$OUTPUT_DIR"
-
-NODE_PATH="./node_modules" $JSDOC_BIN -d "$OUTPUT_DIR" $JS_FILES
-